Skip to main content
PATCH
/
v2
/
tasks
/
{task_id}
Update a task
curl --request PATCH \
  --url https://api.attio.com/v2/tasks/{task_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "deadline_at": "2023-01-01T15:00:00.000000000Z",
    "is_completed": false,
    "linked_records": [
      "person@company.com",
      "fundstack.com"
    ],
    "assignees": [
      {
        "referenced_actor_type": "workspace-member",
        "referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
      }
    ]
  }
}
'
{
  "data": {
    "id": {
      "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
      "task_id": "649e34f4-c39a-4f4d-99ef-48a36bef8f04"
    },
    "content_plaintext": "Follow up on current software solutions",
    "deadline_at": "2023-01-01",
    "is_completed": false,
    "completed_at": "2022-11-21T13:22:49.061281000Z",
    "linked_records": [
      {
        "target_object_id": "people",
        "target_record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d"
      }
    ],
    "assignees": [
      {
        "referenced_actor_type": "workspace-member",
        "referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
      }
    ],
    "created_by_actor": {
      "type": "workspace-member",
      "id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
    },
    "created_at": "2022-11-21T13:22:49.061281000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

task_id
string<uuid>
required

The ID of the task to update.

Example:

"649e34f4-c39a-4f4d-99ef-48a36bef8f04"

Body

application/json
data
object
required

Response

Success

Success

data
object
required